petsc-3.4.2 2013-07-02

# PetscSynchronizedPrintf

Prints synchronized output from several processors. Output of the first processor is followed by that of the second, etc.

### Synopsis

    PetscErrorCode  PetscSynchronizedPrintf(MPI_Comm comm,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| format | - the usual printf() format string

### Notes

REQUIRES a intervening call to PetscSynchronizedFlush() for the information from all the processors to be printed.

### Fortran Note

The call sequence is PetscSynchronizedPrintf(MPI_Comm, character(*), PetscErrorCode ierr) from Fortran. That is, you can only pass a single character string from Fortran.

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf()

Level:intermediate
Location:src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/random/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex6.c.html
src/snes/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex10.c.html